import { SiliconFlowProvider } from '@kevisual/ai';
import { config } from '../modules/config.ts';

export const ai = new SiliconFlowProvider({
  model: 'Qwen/Qwen3-32B',
  // model: 'Pro/deepseek-ai/DeepSeek-R1',// 只有充值能用
  apiKey: config.SILICONFLOW_API_KEY,
});

ai.getUsageInfo()
  .then((usage) => {
    console.log('AI usage info:', usage);
  })
  .catch((res) => {
    console.error('Error fetching AI usage info:', res.status);
  });
